{
  "manifest_version": 3,
  "name": "Web VideoMark",
  "version": "3.5.1",
  "default_locale": "en",
  "description": "__MSG_extensionDescription__",
  "author": "WebDINO Japan",
  "homepage_url": "http://videomark.webdino.org/",
  "options_ui": {
    "open_in_tab": true,
    "page": "index.html#/settings"
  },
  "icons": {
    "32": "images/icons/videomark-32.png",
    "48": "images/icons/videomark-48.png",
    "64": "images/icons/videomark-64.png",
    "96": "images/icons/videomark-96.png",
    "128": "images/icons/videomark-128.png",
    "192": "images/icons/videomark-192.png"
  },
  "permissions": [
    "tabs",
    "webRequest",
    "storage",
    "unlimitedStorage",
    "notifications",
    "declarativeNetRequestWithHostAccess"
  ],
  "host_permissions": [
    "<all_urls>"
  ],
  "action": {
    "default_icon": "images/icons/disabled.png"
  },
  "content_scripts": [
    {
      "matches": [
        "https://*.abema-tv.com/*",
        "https://*.fod.fujitv.co.jp/*",
        "https://*.netflix.com/*",
        "https://*.nicovideo.jp/*",
        "https://*.tver.jp/*",
        "https://*.youtube.com/*",
        "https://abema.tv/*",
        "https://ds-linear-abematv.akamaized.net/*",
        "https://lemino.docomo.ne.jp/*",
        "https://pr.iij.ad.jp/*",
        "https://www.amazon.co.jp/*",
        "https://www.nhk-ondemand.jp/*",
        "https://www.nicovideo.jp/*",
        "https://www.youtube-nocookie.com/*"
      ],
      "js": [
        "scripts/content.js"
      ],
      "run_at": "document_start",
      "all_frames": true
    }
  ],
  "background": {
    "service_worker": "scripts/background.js",
    "type": "module"
  },
  "web_accessible_resources": [
    {
      "resources": [
        "scripts/sodium.js",
        "assets/*"
      ],
      "matches": [
        "<all_urls>"
      ]
    }
  ]
}